## org.eclipse.datatools.modelbase.sql.query
Interface SQLQueryObject

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  CallStatement, ColumnName, CursorReference, Grouping, GroupingExpression, GroupingSets, GroupingSetsElement, GroupingSetsElementExpression, GroupingSetsElementSublist, GroupingSpecification, MergeInsertSpecification, MergeOnCondition, MergeOperationSpecification, MergeSourceTable, MergeTargetTable, MergeUpdateSpecification, OrderByOrdinal, OrderByResultColumn, OrderBySpecification, OrderByValueExpression, Predicate, PredicateBasic, PredicateBetween, PredicateExists, PredicateIn, PredicateInValueList, PredicateInValueRowSelect, PredicateInValueSelect, PredicateIsNull, PredicateLike, PredicateQuantified, PredicateQuantifiedRowSelect, PredicateQuantifiedValueSelect, ProcedureReference, QueryChangeStatement, QueryCombined, QueryDeleteStatement, QueryExpressionBody, QueryExpressionRoot, QueryInsertStatement, QueryMergeStatement, QueryNested, QueryResultSpecification, QuerySearchCondition, QuerySelect, QuerySelectStatement, QueryStatement, QueryUpdateStatement, QueryValueExpression, QueryValues, ResultColumn, ResultTableAllColumns, SearchConditionCombined, SearchConditionNested, SuperGroup, SuperGroupElement, SuperGroupElementExpression, SuperGroupElementSublist, TableCorrelation, TableExpression, TableFunction, TableInDatabase, TableJoined, TableNested, TableReference, UpdatabilityExpression, UpdateAssignmentExpression, UpdateOfColumn, UpdateSource, UpdateSourceExprList, UpdateSourceQuery, ValueExpressionAtomic, ValueExpressionCase, ValueExpressionCaseElse, ValueExpressionCaseSearch, ValueExpressionCaseSearchContent, ValueExpressionCaseSimple, ValueExpressionCaseSimpleContent, ValueExpressionCast, ValueExpressionColumn, ValueExpressionCombined, ValueExpressionDefaultValue, ValueExpressionFunction, ValueExpressionLabeledDuration, ValueExpressionNested, ValueExpressionNullValue, ValueExpressionRow, ValueExpressionScalarSelect, ValueExpressionSimple, ValueExpressionVariable, ValuesRow, WithTableReference, WithTableSpecification, XMLAggregateFunction, XMLAggregateSortSpecification, XMLAttributeDeclarationItem, XMLNamespaceDeclarationDefault, XMLNamespaceDeclarationItem, XMLNamespaceDeclarationPrefix, XMLNamespacesDeclaration, XMLPredicate, XMLPredicateContent, XMLPredicateDocument, XMLPredicateExists, XMLPredicateValid, XMLQueryArgumentItem, XMLQueryArgumentList, XMLQueryExpression, XMLSerializeFunction, XMLSerializeFunctionEncoding, XMLSerializeFunctionTarget, XMLTableColumnDefinitionDefault, XMLTableColumnDefinitionItem, XMLTableColumnDefinitionOrdinality, XMLTableColumnDefinitionRegular, XMLTableFunction, XMLValueExpressionCast, XMLValueFunction, XMLValueFunctionComment, XMLValueFunctionCommentContent, XMLValueFunctionConcat, XMLValueFunctionConcatContentItem, XMLValueFunctionDocument, XMLValueFunctionDocumentContent, XMLValueFunctionElement, XMLValueFunctionElementContentItem, XMLValueFunctionElementContentList, XMLValueFunctionForest, XMLValueFunctionForestContentItem, XMLValueFunctionParse, XMLValueFunctionParseContent, XMLValueFunctionPI, XMLValueFunctionPIContent, XMLValueFunctionQuery, XMLValueFunctionQueryReturning, XMLValueFunctionText, XMLValueFunctionTextContent, XMLValueFunctionValidate, XMLValueFunctionValidateAccordingTo, XMLValueFunctionValidateAccordingToIdentifier, XMLValueFunctionValidateAccordingToURI, XMLValueFunctionValidateContent, XMLValueFunctionValidateElement, XMLValueFunctionValidateElementName, XMLValueFunctionValidateElementNamespace

    public interface SQLQueryObject

extends SQLObject

A representation of the model object 'Object'.

See Also:
  `SQLQueryModelPackage.getSQLQueryObject()`

Method Summary
`SQLQuerySourceInfo` `getSourceInfo()` Returns the associated `SQLQuerySourceInfo`
`java.lang.String` `getSQL()`
`void` `setSourceInfo(SQLQuerySourceInfo sourceInfo)` Sets the `SQLQuerySourceInfo`
`void` `setSQL(java.lang.String sqlText)`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSQL

    java.lang.String getSQL()

### setSQL

    void setSQL(java.lang.String sqlText)

### getSourceInfo

    SQLQuerySourceInfo getSourceInfo()

  Returns the associated `SQLQuerySourceInfo`

### setSourceInfo

    void setSourceInfo(SQLQuerySourceInfo sourceInfo)

  Sets the `SQLQuerySourceInfo`